Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.inference.dl
Class SimpleOWLTaxonomyReasoner

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.inference.dl.SimpleOWLTaxonomyReasoner

All Implemented Interfaces:
  OWLReasoner, OWLTaxonomyReasoner

public class SimpleOWLTaxonomyReasoner
extends Object
implements OWLTaxonomyReasoner

A Taxonomy reasoner that relies on a DIG reasoner to do its reasoning.

Version:
  $Id: SimpleOWLTaxonomyReasoner.java,v 1.2 2003/12/19 12:04:16 sean_bechhofer Exp $

Constructor Summary
`SimpleOWLTaxonomyReasoner(uk.ac.man.cs.img.dig.reasoner.Reasoner digReasoner)` Create a new reasoning object.

Method Summary
`Set` | `ancestorClassesOf(OWLClass cl)` Returns the collection of all superclasses of the given class.
`Set` | `descendantClassesOf(OWLClass cl)` Returns the collection of all subclasses of the given class.
`Set` | `equivalentClassesOf(OWLClass cl)` Returns the collection of (named) classes which are equivalent to the given class.
`OWLOntology` | `getOntology()` Get the ontology that this reasoner reasons over
`static void` | `main(String[] args)`
`void` | `setOntology(OWLOntology onto)` Set the ontology that the reasoner knows about.
`Set` | `subClassesOf(OWLClass cl)` Returns the collection of (named) most general subclasses of the given description.
`Set` | `superClassesOf(OWLClass cl)` Returns the collection of (named) most specific superclasses of the given description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleOWLTaxonomyReasoner

    public SimpleOWLTaxonomyReasoner(uk.ac.man.cs.img.dig.reasoner.Reasoner digReasoner)
                              throws OWLException

  Create a new reasoning object. Expects a DIG reasoner that will do the actual work of reasoning about the class structure.

Parameters:
  `digReasoner` - a `Reasoner` value

Method Detail

### setOntology

    public void setOntology(OWLOntology onto)
                     throws OWLException

  Set the ontology that the reasoner knows about. The reasoner will then transmit the converted ontology to the DIG reasoner.

  Specified by:
    `setOntology` in interface `OWLReasoner`
    `OWLException`

### getOntology

    public OWLOntology getOntology()

  Description copied from interface: `OWLReasoner`
  Get the ontology that this reasoner reasons over

  Specified by:
    `getOntology` in interface `OWLReasoner`

### superClassesOf

    public Set superClassesOf(OWLClass cl)
                       throws OWLException

  Returns the collection of (named) most specific superclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

  Specified by:
    `superClassesOf` in interface `OWLTaxonomyReasoner`
    `OWLException`

### subClassesOf

    public Set subClassesOf(OWLClass cl)
                     throws OWLException

  Returns the collection of (named) most general subclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

  Specified by:
    `subClassesOf` in interface `OWLTaxonomyReasoner`
    `OWLException`

### ancestorClassesOf

    public Set ancestorClassesOf(OWLClass cl)
                          throws OWLException

  Description copied from interface: `OWLTaxonomyReasoner`
  Returns the collection of all superclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

  Specified by:
    `ancestorClassesOf` in interface `OWLTaxonomyReasoner`
    `OWLException`

### descendantClassesOf

    public Set descendantClassesOf(OWLClass cl)
                            throws OWLException

  Description copied from interface: `OWLTaxonomyReasoner`
  Returns the collection of all subclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

  Specified by:
    `descendantClassesOf` in interface `OWLTaxonomyReasoner`
    `OWLException`

### equivalentClassesOf

    public Set equivalentClassesOf(OWLClass cl)
                            throws OWLException

  Description copied from interface: `OWLTaxonomyReasoner`
  Returns the collection of (named) classes which are equivalent to the given class.

  Specified by:
    `equivalentClassesOf` in interface `OWLTaxonomyReasoner`
    `OWLException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb